#include <avr/power.h> // to set the speed
#include <Adafruit_NeoPixel.h> // to use the neopixels

int leds = 8; // the 3 LEDs are on this pin
#define neopix 10 // the neopixels are on this pin
int button = 9; // the button is on this pin

// define the neopixels
Adafruit_NeoPixel pixels = Adafruit_NeoPixel(2, neopix, NEO_GRB + NEO_KHZ800);

// setup runs once
void setup() {  
  // get the right speed
  if (F_CPU == 8000000) clock_prescale_set(clock_div_1);
  
  // initialize the neopixels
  pixels.begin();
  pixels.show();

// initialize the 3 leds and button
  pinMode(leds, OUTPUT);
  pinMode(button, INPUT);
}

// loop runs forever after, setup goes first just once
void loop() {
  // by default the button is HIGH or 1
  if (digitalRead(button) == 0) {
    pixels.setPixelColor(0, 100,0,0); // (which one, green, red, blue) max brightness is 255
    pixels.setPixelColor(1, 0,100,0);
    pixels.show();

    analogWrite(leds,255); // set bightness of 3 leds, max 255
  }
  else {
    pixels.setPixelColor(0, 0,0,0);
    pixels.setPixelColor(1, 0,0,0);
    pixels.show();

    analogWrite(leds,0);
  }
}


